%define name mac80211-source
%define snapshot 20070621
%define short_name mac80211
%define version 0.1
%define release %mkrel 0.%{snapshot}.1

Summary: Dscape wireless stack (d80211) source code
Name: %{name}
Version: %{version}
Release: %{release}
# git clone git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-dev.git mac80211
# tar cjf mac80211-`date +%Y%m%d`.tar.bz2 mac80211/include/net/mac80211* mac80211/net/mac80211
Source0: %{short_name}-%{snapshot}.tar.bz2
License: GPL
Group: Development/Kernel
Url: http://kernel.org/pub/linux/kernel/people/jbenc/README
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: d80211-source
Provides: d80211-source

%description
This package contains the source code of the Dscape wireless stack
(mac80211).

%prep
%setup -q -n %{short_name}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/src/mac80211/
cp -a net include $RPM_BUILD_ROOT/usr/src/mac80211/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/src/mac80211


%changelog
* Fri Jun 22 2007 Adam Williamson <awilliamson@mandriva.com> 0.1-0.20070621.1mdv2008.0
+ Revision: 42834
- Import mac80211-source

